import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

bonds = [
    "A powerful person killed someone I love. Some day soon, I'll have my revenge.",
    "A proud noble once gave me a horrible beating, and I will take my revenge on any bully I encounter.",
    "An injury to the unspoiled wilderness of my home is an injury to me.",
    "Everything I do is for the common people.",
    "I am in love with the heir of a family that my family despises.",
    "I am the last of my tribe, and it is up to me to ensure their names enter legend.",
    "I come from a noble family, and one day I'll reclaim my lands and title from those who stole them from me.",
    "I created a great work for someone, and then found them unworthy to receive it. I'm still looking for someone worthy.",
    "I entered seclusion because I loved someone I could not have.",
    "I entered seclusion to hide from the ones who might still be hunting me. I must someday confront them.",
    "I escaped my life of poverty by robbing an important person, and I'm wanted for it.",
    "I fight for those who cannot fight for themselves.",
    "I fleeced the wrong person and must work to ensure that this individual never crosses paths with me or those I care about.",
    "I have a family, but I have no idea where they are. One day, I hope to see them again.",
    "I have an ancient text that holds terrible secrets that must not fall into the wrong hands.",
    "I idolize a hero of the old tales and measure my deeds against that person's.",
    "I owe a debt I can never repay to the person who took pity on me.",
    "I owe everything to my mentor--a horrible person who's probably rotting in jail somewhere.",
    "I owe me life to the priest who took me in when my parents died.",
    "I owe my guild a great debt for forging me into the person I am today.",
    "I owe my survival to another urchin who taught me to live on the streets.",
    "I protect those who cannot protect themselves.",
    "I pursue wealth to secure someone's love.",
    "I seek to preserve a sacred text that my enemies consider heretical and seek to destroy.",
    "I sold my soul for knowledge. I hope to do great deeds and win it back.",
    "I sponsor an orphanage to keep others from enduring what I was forced to endure.",
    "I suffer awful visions of a coming disaster and will do anything to prevent it.",
    "I swindled and ruined a person who didn't deserve it. I seek to atone for my misdeeds but might never be able to forgive myself.",
    "I want to be famous, whatever it takes.",
    "I was cheated of my fair share of the profits, and I want to get my due.",
    "I will become the greatest thief that ever lived.",
    "I will bring terrible wrath down on the evildoers who destroyed my homeland.",
    "I will do anything to protect the temple where I served.",
    "I will do anything to prove myself superior to me hated rival.",
    "I will face any challenge to win the approval of my family.",
    "I will get revenge on the evil forces that destroyed my place of business and ruined my livelihood.",
    "I will someday get revenge on the corrupt temple hierarchy who branded me a heretic.",
    "I wish my childhood sweetheart had come with me to pursue my destiny.",
    "I work to preserve a library, university, scriptorium, or monastery.",
    "I worked the land, I love the land, and I will protect the land.",
    "I would die to recover an ancient artifact of my faith that was lost long ago.",
    "I would do anything for the other members of my old troupe.",
    "I would lay down my life for the people I served with.",
    "I'll always remember my first ship.",
    "I'll never forget the crushing defeat my company suffered or the enemies who dealt it.",
    "I'm guilty of a terrible crime. I hope I can redeem myself for it.",
    "I'm loyal to my captain first, everything else second.",
    "I'm still seeking the enlightenment I pursued in my seclusion, and it still eludes me.",
    "I'm trying to pay off an old debt I owe to a generous benefactor.",
    "I've been searching my whole life for the answer to a certain question.",
    "In a harbor town, I have a paramour whose eyes nearly stole me from the sea.",
    "It is my duty to protect my students.",
    "It is my duty to provide children to sustain my tribe.",
    "My family, clan, or tribe is the most important thing in my life, even when they are far from me.",
    "My honor is my life.",
    "My house's alliance with another noble family must be sustained at all costs.",
    "My ill-gotten gains go to support my family.",
    "My instrument is my most treasured possession, and it reminds me of someone I love.",
    "My isolation gave me great insight into a great evil that only I can destroy.",
    "My life's work is a series of tomes related to a specific field of lore.",
    "My loyalty to my sovereign is unwavering.",
    "My tools are symbols of my past life, and I carry them so that I will never forget my roots.",
    "My town or city is my home, and I'll fight to defend it.",
    "No one else is going to have to endure the hardships I've been through.",
    "Nothing is more important than the other members of my hermitage, order, or association.",
    "Nothing is more important that the other members of my family.",
    "One day I will return to my guild and prove that I am the greatest artisan of them all.",
    "Ruthless pirates murdered my captain and crewmates, plundered our ship, and left me to die. Vengeance will be mine.",
    "Should my discovery come to light, it could bring ruin to the world.",
    "Someone I loved died because of a mistake I made. That will never happen again.",
    "Someone saved my life on the battlefield. To this day, I will never leave a friend behind.",
    "Someone stole my precious instrument, and someday I'll get it back.",
    "Something important was taken from me, and I aim to steal it back.",
    "Somewhere out there I have a child who doesn't know me. I'm making the world better for him or her.",
    "The common folk must see me as a hero of the people.",
    "The ship is most important--crewmates and captains come and go.",
    "The workshop where I learned my trade is the most important place in the world to me.",
    "Those who fight beside me are those worth dying for."
]

for bond in bonds:
    cur.execute("INSERT INTO npc_personality_bond (bond) VALUES (?);", (bond,))
    npc_db.commit()